using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("班组表")]
    public partial class T_FM_TEAM : MesEntityBase
    {
        /// <summary>
        /// 班组名称
        /// </summary>
        [CUnique]
        [Description("班组名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        public string NAME { get; set; }

        /// <summary>
        /// 简写
        /// </summary>
        [Description("简写")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(5)]
        public string ABB_NAME { get; set; }

        /// <summary>
        /// 班组组长
        /// </summary>
        [Description("班组组长")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_ChargePerson")]      
        public Guid? CHARGE_PERSON_ID { get; set; }
        
        [Description("导航：人员信息")]
        public virtual T_FM_PERSON Nav_ChargePerson { get; set; }

        /// <summary>
        /// 启用标志
        /// </summary>
        [Description("启用标志")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [EnumName("FMEnableStatusEnum")]
        public int ENABLE_STATUS { get; set; }



        [Description("导航：人员信息")]
        public virtual ICollection<T_FM_TEAM_PERSON> Nav_TeamPersons { get; set; }

        /// <summary>
        /// 部门
        /// </summary>
        [Description("部门")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }
        
        [Description("导航：人员信息")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }



    }
}
